# Assigment 2 - Project boilerplate

This boilerplate is to help get you started with your project for assignment 2.

to start the development server, just run the **server.exe** file in the project root.

## Boilerplate Content

### /public
This should contain all of your custom code. This is the root of the project that will be served up on your development server. If you want to add a new page, simply add a new **.html** file.

### /public/fonts
Contains some Jetfruit brand fonts for use on the site.

### /public/js
Place any custom JavaScript code you want to write here.

### /public/styles
Place any custom styles you want to write in the **style.css** file.

Also included for your convenience is a bootstrap css file, **bootstrap.css**. Documentation for bootstrap can be found [here](https://getbootstrap.com/docs/4.4/getting-started/introduction/).

### /public/media
Useful brand images from Jetfruit that you can use in your project. Add any new images to this folder.


## Project Brief

You have recently joined a web development company, JetFruit as a junior web developer. You have been asked as part of your induction and training to create a new section for the company’s web site which promotes the company to prospective employees, as they need to recruit more web developers. The company wants you to include the following things: 

- A profile of the company itself
- profiles of existing trainee web developers
- job specifications and required qualifications
- an on-line application form
- links to web development courses

The target audience for the site is people who have completed training courses or qualifications related to web development and are now looking for a job as a web developer.

## Task One

Create and evaluate comprehensive designs for the web site which include:
- identification of user requirements 
- visual designs for the pages 
- alternative design options 
- technical documentation 

Produce a justification of the design decisions you made, explaining how it will meet the user needs and be fit for purpose. Develop the web site and test it for functionality, compatibility (with different devices and browsers) and usability (including user testing), using appropriate test plans, test schedules and data. You should collect results and feedback and show that you have responded to any problem or errors identified. 

Optimise the web site, using the results of testing and user feedback and record the details of the changes you have made so that ‘before’ and ‘after’ versions of the web site can be seen.

Write an evaluation of the design, development and optimisation of the web site. You should provide a detailed and balanced evaluation of how effectively your completed website meets the client requirements, including appealing to the target audience and meeting its stated purpose, in comparison to alternative solutions. Your evaluation should be supported by evidence from all stages of the project to reach conclusions and suggest developments.

The evaluation must contain a systematic and accurate review of your own skills, performance and behaviours and the impact that this had on the development of the final website. 

Present evidence that you have shown individual responsibility, effective time-management in your design and development of the web site making high-quality justified recommendations and decisions. This should include a task plan for completing the assignment and a witness testimony from your tutor. For example, you need to show how you have:

- Planned and managed your time and met targets.
- Reviewed and responded to outcomes including the use of feedback from others
- Behaved appropriately while completing the assignment – including professionalism, etiquette, supportive of others, timely and - appropriate leadership, accountability and individual responsibility
- Evaluated outcomes to help inform high-quality justified recommendations and decisions
- Used appropriate methods of communication effectively

## Evidence Checklist

- Designs for the web site
- Justifications of the design decisions
- Annotated screen shots of the completed web site
- Evidence of testing including test plans and data, user feedback and details of the changes made in response to testing
- Annotated screen shots of the optimised web site 
- Evaluation of the design and development of the web site
- Evidence of individual responsibility, effective time-management including a time plan and witness testimony from your tutor.

